=== firmware/mixertx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = mixertx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk
