=== firmware/simpletx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = simpletx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c

include ../common/Makefile_inc.mk
