=== debian/changelog ===
hackrf (2013.07.1.16.d5cebd-2) unstable; urgency=low

  * Use kfreebsd libusb

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 01 Nov 2013 19:17:55 -0400

hackrf (2013.07.1.16.d5cebd-1) unstable; urgency=low

  * New upstream snapshot (Closes: #724957).
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Sep 2013 15:36:44 -0400

hackrf (0.0gitf88d206-1) unstable; urgency=low

  * New upstream git

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Jun 2013 16:28:18 -0400
