=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --sourcedirectory=host --builddirectory=build

override_dh_auto_configure: debian/libhackrf0.udev
	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

debian/libhackrf0.udev: host/hackrf-tools/52-hackrf.rules
	cp -p host/hackrf-tools/52-hackrf.rules debian/libhackrf0.udev
