=== firmware/sgpio-rx/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/tuning.c \
+	../common/rf_path.c \
 	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \
