=== firmware/sgpio/Makefile ===
--- 
+++ 
@@ -20,13 +20,15 @@
 # Boston, MA 02110-1301, USA.
 #
 
-BINARY = sgpio
+BINARY = sgpio_test
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/rf_path.c \
 	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \
-	../common/max5864.c
+	../common/max5864.c \
+	../common/rffc5071.c
 
 include ../common/Makefile_inc.mk
