=== debian/changelog ===
hackrf (2014.04.1-2) unstable; urgency=low

  * Update to v2014.04.1-4-g44df9d1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Jul 2014 00:48:33 -0400

hackrf (2014.04.1-1) unstable; urgency=low

  * New upstream tag v2014.04.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 02 May 2014 12:17:09 -0400

hackrf (2013.07.1.452.b7e5dca-1) unstable; urgency=low

  * Update to v2013.07.1-452-gb7e5dca

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 12:13:48 -0400

hackrf (2013.07.1.16.d5cebd-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Jan 2014 20:30:04 -0500
