=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  This package contains the shared library.
 
 Package: hackrf
-Section: libs
+Section: comm
 Architecture: any
 Depends: libhackrf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Software defined radio peripheral
