## hackrf 2014.08.1

=== firmware/Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 #
 
 TARGETS = blinky \
-		  blinky_rom_to_ram \
 		  mixertx \
 		  sgpio \
 		  sgpio-rx \
@@ -29,12 +28,7 @@
 		  startup \
 		  startup_systick \
 		  startup_systick_perfo \
-		  hackrf_usb \
-		  hackrf_usb_rom_to_ram
-
-#	      blinky_rom_to_ram
-#		  sgpio_passthrough_rom_to_ram
-#		  startup_systick_perfo_rom_to_ram
+		  hackrf_usb
 
 all: build
