=== firmware/hackrf_usb/Makefile ===
--- 
+++ 
@@ -20,13 +20,30 @@
 # Boston, MA 02110-1301, USA.
 #
 
-BINARY = hackrf_usb
+ifeq ($(RUN_FROM),RAM)
+	BINARY = hackrf_usb_ram
+else
+	BINARY = hackrf_usb_rom_to_ram
+endif
 
-SRC = $(BINARY).c \
-	usb.c \
-	usb_request.c \
-	usb_standard_request.c \
+SRC_M4_C = hackrf_usb.c \
+	../common/rf_path.c \
+	../common/tuning.c \
+	../common/streaming.c \
+	sgpio_isr.c \
+	usb_bulk_buffer.c \
+	../common/usb.c \
+	../common/usb_request.c \
+	../common/usb_standard_request.c \
 	usb_descriptor.c \
+	usb_device.c \
+	usb_endpoint.c \
+	usb_api_board_info.c \
+	usb_api_cpld.c \
+	usb_api_register.c \
+	usb_api_spiflash.c \
+	usb_api_transceiver.c \
+	../common/usb_queue.c \
 	../common/fault_handler.c \
 	../common/hackrf_core.c \
 	../common/sgpio.c \
