=== firmware/mixertx/Makefile ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/rf_path.c \
+	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \
+	../common/max5864.c \
 	../common/rffc5071.c
 
 include ../common/Makefile_inc.mk
