=== debian/changelog ===
hackrf (2014.08.1-1) unstable; urgency=low

  * New upstream tag v2014.08.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 02 Sep 2014 23:27:34 -0400

hackrf (2014.04.1-4) unstable; urgency=low

  * Update to v2014.04.1-33-g635d429

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 02:49:23 -0400

hackrf (2014.04.1-3) unstable; urgency=low

  * Update to v2014.04.1-25-gaec97e7

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2014 15:40:53 -0400
