=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
 Standards-Version: 3.9.4
 Homepage: http://greatscottgadgets.com/hackrf/
-Vcs-Git: https://github.com/mossmann/hackrf.git
-Vcs-Browser: https://github.com/mossmann/hackrf
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-hackrf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/bottoms/pkg-hackrf.git;a=summary
 
 Package: libhackrf-dev
 Section: libdevel
