=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 override_dh_auto_configure: debian/libhackrf0.udev
 	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
-debian/libhackrf0.udev: host/hackrf-tools/52-hackrf.rules
-	cp -p host/hackrf-tools/52-hackrf.rules debian/libhackrf0.udev
+debian/libhackrf0.udev: host/libhackrf/53-hackrf.rules
+	cp -p host/libhackrf/53-hackrf.rules debian/libhackrf0.udev
 
 get-orig-source:
 	git clone https://github.com/mossmann/hackrf.git
